Bug 864721 - AttributeError: 'BTRFS' object has no attribute 'partitions'
AttributeError: 'BTRFS' object has no attribute 'partitions'
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Lehman
Fedora Extras Quality Assurance
abrt_hash:1307dde8b3adffdb840cded0df8...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-09 20:47 EDT by Reartes Guillermo
Modified: 2014-10-06 10:32 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:49:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb (261.25 KB, text/plain)
2012-10-09 20:47 EDT, Reartes Guillermo
no flags Details
File: product (6 bytes, text/plain)
2012-10-09 20:47 EDT, Reartes Guillermo
no flags Details
File: type (9 bytes, text/plain)
2012-10-09 20:47 EDT, Reartes Guillermo
no flags Details
File: ifcfg.log (641 bytes, text/plain)
2012-10-09 20:47 EDT, Reartes Guillermo
no flags Details
File: storage.log (100.71 KB, text/plain)
2012-10-09 20:47 EDT, Reartes Guillermo
no flags Details
File: version (11 bytes, text/plain)
2012-10-09 20:47 EDT, Reartes Guillermo
no flags Details
File: environ (764 bytes, text/plain)
2012-10-09 20:47 EDT, Reartes Guillermo
no flags Details
File: anaconda.log (7.42 KB, text/plain)
2012-10-09 20:47 EDT, Reartes Guillermo
no flags Details
File: syslog (78.64 KB, text/plain)
2012-10-09 20:47 EDT, Reartes Guillermo
no flags Details
File: hashmarkername (8 bytes, text/plain)
2012-10-09 20:47 EDT, Reartes Guillermo
no flags Details
File: packaging.log (2.38 KB, text/plain)
2012-10-09 20:47 EDT, Reartes Guillermo
no flags Details
File: cmdline_file (96 bytes, text/plain)
2012-10-09 20:47 EDT, Reartes Guillermo
no flags Details
File: release (24 bytes, text/plain)
2012-10-09 20:47 EDT, Reartes Guillermo
no flags Details
File: program.log (28.30 KB, text/plain)
2012-10-09 20:47 EDT, Reartes Guillermo
no flags Details

  None (edit)
Description Reartes Guillermo 2012-10-09 20:47:11 EDT
Description of problem:
selected a btrfs disk, tried guided partitioning, went back, enter again. 

Version-Release number of selected component:
anaconda-18.14

Additional info:
libreport version: 2.0.14
cmdline:        /usr/bin/python  /sbin/anaconda
kernel:         3.6.1-1.fc18.x86_64

description:
:The following was filed automatically by anaconda:
:anaconda 18.14 exception report
:Traceback (most recent call first):
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/lib/resize.py", line 120, in populate
:    for part in disk.format.partitions:
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/lib/resize.py", line 167, in refresh
:    self.populate(disks)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/storage.py", line 665, in on_continue_clicked
:    resizeDialog.refresh(disks)
:AttributeError: 'BTRFS' object has no attribute 'partitions'
Comment 1 Reartes Guillermo 2012-10-09 20:47:20 EDT
Created attachment 624374 [details]
File: anaconda-tb
Comment 2 Reartes Guillermo 2012-10-09 20:47:22 EDT
Created attachment 624375 [details]
File: product
Comment 3 Reartes Guillermo 2012-10-09 20:47:24 EDT
Created attachment 624376 [details]
File: type
Comment 4 Reartes Guillermo 2012-10-09 20:47:26 EDT
Created attachment 624377 [details]
File: ifcfg.log
Comment 5 Reartes Guillermo 2012-10-09 20:47:30 EDT
Created attachment 624378 [details]
File: storage.log
Comment 6 Reartes Guillermo 2012-10-09 20:47:32 EDT
Created attachment 624379 [details]
File: version
Comment 7 Reartes Guillermo 2012-10-09 20:47:35 EDT
Created attachment 624380 [details]
File: environ
Comment 8 Reartes Guillermo 2012-10-09 20:47:37 EDT
Created attachment 624381 [details]
File: anaconda.log
Comment 9 Reartes Guillermo 2012-10-09 20:47:41 EDT
Created attachment 624382 [details]
File: syslog
Comment 10 Reartes Guillermo 2012-10-09 20:47:44 EDT
Created attachment 624383 [details]
File: hashmarkername
Comment 11 Reartes Guillermo 2012-10-09 20:47:46 EDT
Created attachment 624384 [details]
File: packaging.log
Comment 12 Reartes Guillermo 2012-10-09 20:47:51 EDT
Created attachment 624385 [details]
File: cmdline_file
Comment 13 Reartes Guillermo 2012-10-09 20:47:54 EDT
Created attachment 624386 [details]
File: release
Comment 14 Reartes Guillermo 2012-10-09 20:47:57 EDT
Created attachment 624387 [details]
File: program.log
Comment 15 Clyde E. Kunkel 2012-10-09 21:48:48 EDT
Installer reported no space on virtual disk.  I had just formated the partition before starting the VM in order to try to
recreate conditions of another test.  Checked reclaim all space and the error occured as a result.


Package: anaconda-18.12
OS Release: Fedora release 18-Beta-TC2
Comment 16 Clyde E. Kunkel 2012-10-09 23:51:47 EDT
Trying to work with 4 disks in VM.  Each is a separate partition (originally formated at ext4, 
not cleared).  Apparently the installer thinks the drives are already partitioned and reports 0
bytes avaiable, but suggests to reclaim space.  When that is selected, the error occurs.


Package: anaconda-18.14
OS Release: Fedora release 18-Beta-TC3
Comment 17 Jan Sedlák 2012-10-10 10:07:16 EDT
I have tried to use harddisk that has one partition with BTRFS filesystem. After selecting disk, this traceback showed.

Package: anaconda-18.14
OS Release: Fedora release 18-Beta-TC3
Comment 18 David Lehman 2012-10-10 12:37:17 EDT
Attach your logs, people.

The original reporter has a btrfs filesystem on an unpartitioned disk. Both of the last two reporters claim to have hit this with partitioned disks but did not include logs.
Comment 19 Clyde E. Kunkel 2012-10-10 12:51:08 EDT
I thought abrt attached the logs.  Sorry.  Have moved on however and logs no longer avail.  Will try to recreate later.
Comment 20 Chris Lumens 2012-10-10 13:10:03 EDT
dlehman has a fix for the original problem.
Comment 21 Adam Williamson 2013-01-04 19:30:51 EST
we've seen no report of this lately. did the fix for the 'original problem' get committed? can we close this?
Comment 22 Fedora End Of Life 2013-12-21 10:08:41 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 23 Fedora End Of Life 2014-02-05 17:49:53 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.